classification
Title: Add __all__ into types
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.5, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, ezio.melotti, martin.panter, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2015-02-23 22:14 by serhiy.storchaka, last changed 2015-03-04 07:47 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
types___all__.patch serhiy.storchaka, 2015-02-23 22:14 review
Messages (3)
msg236467 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-02-23 22:14
Currently pydoc outputs only two classes and two functions in the types module. Proposed patch add __all__ into the types module, so that pydoc will output builtin class deliberately added into the types module.
msg237172 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-03-04 02:40
LGTM.
msg237175 - (view) Author: Roundup Robot (python-dev) Date: 2015-03-04 07:45
New changeset cb5fe8cc60eb by Serhiy Storchaka in branch '2.7':
Issue #23504: Added an __all__ to the types module.
https://hg.python.org/cpython/rev/cb5fe8cc60eb

New changeset 4888f9498db6 by Serhiy Storchaka in branch '3.4':
Issue #23504: Added an __all__ to the types module.
https://hg.python.org/cpython/rev/4888f9498db6

New changeset 5c73b01d58ac by Serhiy Storchaka in branch 'default':
Issue #23504: Added an __all__ to the types module.
https://hg.python.org/cpython/rev/5c73b01d58ac
History
Date User Action Args
2015-03-04 07:47:57serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2015-03-04 07:45:22python-devsetnosy: + python-dev
messages: + msg237175
2015-03-04 02:40:42berker.peksagsetnosy: + berker.peksag

messages: + msg237172
stage: patch review -> commit review
2015-03-02 07:39:02ezio.melottisetnosy: + ezio.melotti
2015-02-24 00:09:21martin.pantersetnosy: + martin.panter
2015-02-23 22:14:05serhiy.storchakacreate